// centerthread.h: Schnittstelle für die Klasse MotorThread.
//
//////////////////////////////////////////////////////////////////////

#ifndef CENTERTHREAD_H
#define CENTERTHREAD_H


#include <qthread.h>

class AMCMirrorPanel;

class CenterThread : public QThread
{

public:
	void setPanel( AMCMirrorPanel* p_pPanel );
	AMCMirrorPanel* getPanel() { return m_pPanel; };
	CenterThread( QObject* p_pReceiver );
	virtual ~CenterThread();

protected:
	virtual void run();
private:
	AMCMirrorPanel* m_pPanel;
	QObject*				m_pReceiver;
};

#endif
